@REM ----------------------------------------------------------------------------
@REM Copyright 2001-2004 The Apache Software Foundation.
@REM
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%REPO%"\gson-2.4.jar;"%REPO%"\sweb-kb-2.5.1-RELEASE.jar;"%REPO%"\sweb-commons-2.5.1-RELEASE.jar;"%REPO%"\log4j-1.2.14.jar;"%REPO%"\spring-orm-3.2.8.RELEASE.jar;"%REPO%"\spring-beans-3.2.8.RELEASE.jar;"%REPO%"\spring-jdbc-3.2.8.RELEASE.jar;"%REPO%"\spring-tx-3.2.8.RELEASE.jar;"%REPO%"\cglib-2.2.2.jar;"%REPO%"\asm-3.3.1.jar;"%REPO%"\hibernate-core-4.3.0.Final.jar;"%REPO%"\jboss-logging-3.1.3.GA.jar;"%REPO%"\jboss-logging-annotations-1.2.0.Beta1.jar;"%REPO%"\jboss-transaction-api_1.2_spec-1.0.0.Final.jar;"%REPO%"\dom4j-1.6.1.jar;"%REPO%"\hibernate-commons-annotations-4.0.4.Final.jar;"%REPO%"\hibernate-jpa-2.1-api-1.0.0.Final.jar;"%REPO%"\javassist-3.18.1-GA.jar;"%REPO%"\antlr-2.7.7.jar;"%REPO%"\jandex-1.1.0.Final.jar;"%REPO%"\xml-apis-1.4.01.jar;"%REPO%"\hibernate-entitymanager-4.3.0.Final.jar;"%REPO%"\hibernate-ehcache-4.3.0.Final.jar;"%REPO%"\ehcache-core-2.4.3.jar;"%REPO%"\hibernate-spatial-4.3.jar;"%REPO%"\postgis-jdbc-1.5.2.jar;"%REPO%"\jts-1.13.jar;"%REPO%"\slf4j-log4j12-1.6.0.jar;"%REPO%"\slf4j-api-1.6.0.jar;"%REPO%"\spring-aop-3.2.8.RELEASE.jar;"%REPO%"\aopalliance-1.0.jar;"%REPO%"\spring-context-3.2.8.RELEASE.jar;"%REPO%"\spring-expression-3.2.8.RELEASE.jar;"%REPO%"\aspectjrt-1.6.10.jar;"%REPO%"\aspectjweaver-1.6.10.jar;"%REPO%"\commons-io-1.3.2.jar;"%REPO%"\flexjson-3.1.jar;"%REPO%"\commons-collections-3.2.jar;"%REPO%"\postgresql-9.1-901.jdbc4.jar;"%REPO%"\c3p0-0.9.1.2.jar;"%REPO%"\sweb-eb-2.5.1-RELEASE.jar;"%REPO%"\sweb-nlp-2.5.1-RELEASE.jar;"%REPO%"\scroll-core-3.0.0-RELEASE.jar;"%REPO%"\scroll-data-common-3.0.0-RELEASE.jar;"%REPO%"\scroll-model-3.0.0-RELEASE.jar;"%REPO%"\jackson-annotations-2.3.0.jar;"%REPO%"\jackson-databind-2.3.0.jar;"%REPO%"\jackson-core-2.3.0.jar;"%REPO%"\opennlp-maxent-3.0.3.jar;"%REPO%"\opennlp-tools-1.5.3.jar;"%REPO%"\jwnl-1.3.3.jar;"%REPO%"\lucene-snowball-3.0.2.jar;"%REPO%"\langdetect-1.1-20120112.jar;"%REPO%"\jsonic-1.3.0.jar;"%REPO%"\lucene-core-3.1.0.jar;"%REPO%"\ant-1.8.2.jar;"%REPO%"\ant-launcher-1.8.2.jar;"%REPO%"\spring-core-3.2.8.RELEASE.jar;"%REPO%"\commons-logging-1.1.3.jar;"%REPO%"\sweb-dataimport-athirat-update-1.0.0-SNAPSHOT.jar
set EXTRA_JVM_ARGUMENTS=-Xmx1024M
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="AthiratImport" -Dapp.repo="%REPO%" -Dbasedir="%BASEDIR%" it.unitn.disi.sweb.dataimport.athirat.AthiratImport %CMD_LINE_ARGS%
if ERRORLEVEL 1 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=1

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@endlocal

:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
